#!/usr/bin/env python

from distutils.core import setup
from DistUtilsExtra.command import *
import os
import re

# look/set what version we have
changelog = "debian/changelog"
if os.path.exists(changelog):
    head=open(changelog).readline()
    match = re.compile(".*\((.*)\).*").match(head)
    if match:
        version = match.group(1)

setup(  name='five-a-day',
        version=version,
        scripts=['5-a-day'],
        packages=['fiveaday'],    
        data_files=[ ('/etc/bash_completion.d/', ['data/bash_completion/5-a-day']),
                   ],
        cmdclass = { "build" : build_extra.build_extra,
                     "build_i18n" :  build_i18n.build_i18n }
)
